Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OntoSim 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.inrialpes.exmo.ontosim.entity
Class AlignmentEntitySim

    java.lang.Object
      fr.inrialpes.exmo.ontosim.align.AbstractAlignmentSpaceMeasure<Entity<?>>
          fr.inrialpes.exmo.ontosim.entity.AlignmentEntitySim

All Implemented Interfaces:
  AlignmentSpaceMeasure<Entity<?>>, Measure<Entity<?>>

    public class AlignmentEntitySim

extends AbstractAlignmentSpaceMeasure<Entity<?>>

Nested Class Summary

Nested classes/interfaces inherited from interface fr.inrialpes.exmo.ontosim.Measure
`Measure.TYPES`

Field Summary

Fields inherited from class fr.inrialpes.exmo.ontosim.align.AbstractAlignmentSpaceMeasure
`measureMatrix, network`

Constructor Summary
`AlignmentEntitySim()`

Method Summary
`double` | `getDissim(Entity<?> e1, Entity<?> e2)`
`double` | `getMeasureValue(Entity<?> e1, Entity<?> e2)`
`Measure.TYPES` | `getMType()`
`double` | `getSim(Entity<?> e1, Entity<?> e2)`

Methods inherited from class fr.inrialpes.exmo.ontosim.align.AbstractAlignmentSpaceMeasure
`addAlignment, getAlignments, setAlignmentSpace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AlignmentEntitySim

    public AlignmentEntitySim()

Method Detail

### getDissim

    public double getDissim(Entity<?> e1,
                            Entity<?> e2)

### getMeasureValue

    public double getMeasureValue(Entity<?> e1,
                                  Entity<?> e2)

### getSim

    public double getSim(Entity<?> e1,
                         Entity<?> e2)

### getMType

    public Measure.TYPES getMType()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OntoSim 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) INRIA & friends, 2008-2009